aboutsummaryrefslogtreecommitdiff
path: root/.kokoro/build.sh
diff options
context:
space:
mode:
authorBu Sun Kim <8822365+busunkim96@users.noreply.github.com>2020-02-19 17:58:47 -0800
committerGitHub <noreply@github.com>2020-02-20 01:58:47 +0000
commite72202efcad6bce18ef252e57d35e97d622ab5e0 (patch)
treeb50a430fb69280d279e6ceef06f98d876a098002 /.kokoro/build.sh
parent2b103b60ece16a1e1bc98cfda7ec375191a90f75 (diff)
downloadpython-api-core-e72202efcad6bce18ef252e57d35e97d622ab5e0.tar.gz
chore: add split repo templates (#2)
* chore: add split repo templates * chore: remove blacken
Diffstat (limited to '.kokoro/build.sh')
-rwxr-xr-x.kokoro/build.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/.kokoro/build.sh b/.kokoro/build.sh
new file mode 100755
index 0000000..5390f03
--- /dev/null
+++ b/.kokoro/build.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+# Copyright 2018 Google LLC
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# https://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -eo pipefail
+
+cd github/python-api-core
+
+# Disable buffering, so that the logs stream through.
+export PYTHONUNBUFFERED=1
+
+# Debug: show build environment
+env | grep KOKORO
+
+# Setup service account credentials.
+export GOOGLE_APPLICATION_CREDENTIALS=${KOKORO_GFILE_DIR}/service-account.json
+
+# Setup project id.
+export PROJECT_ID=$(cat "${KOKORO_GFILE_DIR}/project-id.json")
+
+# Remove old nox
+python3.6 -m pip uninstall --yes --quiet nox-automation
+
+# Install nox
+python3.6 -m pip install --upgrade --quiet nox
+python3.6 -m nox --version
+
+python3.6 -m nox